

import 'package:hive/hive.dart';

part 'tags_model.g.dart';
@HiveType(typeId: 3)
class TagsModel {
  @HiveField(0)
  int? id;
  @HiveField(1)
  String? taglabel;
  @HiveField(2)
  String? category;

  TagsModel({this.id, this.taglabel, this.category});

  TagsModel.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    taglabel = json['taglabel'];
    category = json['category'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['taglabel'] = taglabel;
    data['category'] = category;
    return data;
  }
}